%global momorel 3
%global geckover 1.9.1

Name: gnash
Version: 0.8.5
Release: %{momorel}m%{?dist}
Summary: GNU Flash movie player
Group: Applications/Multimedia
License: GPLv3+
URL: http://www.gnu.org/software/gnash/
Source0: ftp://ftp.gnu.org/gnu/gnash/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: SDL-devel
BuildRequires: agg-devel
BuildRequires: boost-devel >= 1.37.0
BuildRequires: cmake
BuildRequires: docbook2X, docbook-style-dsssl, docbook-style-xsl
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel >= 2.3.1-2m
BuildRequires: giflib-devel
BuildRequires: glib2-devel
BuildRequires: glibc-devel
BuildRequires: gecko-devel >= %{geckover}
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: gtk2-devel
BuildRequires: kdelibs-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXv-devel
BuildRequires: libcurl-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtool-ltdl-devel >= 2.2.6
BuildRequires: libxml2-devel
BuildRequires: openldap-devel
BuildRequires: qt-devel
BuildRequires: speex-devel
BuildRequires: zlib-devel
PreReq: info

%description
Gnash is capable of reading up to SWF v9 files and opcodes, but primarily
supports SWF v7, with better SWF v8 and v9 support under heavy development.
Gnash includes initial parser support for SWF v8 and v9. Not all
ActionScript 2 classes are implemented yet, but all of the most heavily
used ones are. Many ActionScript 2 classes are partially implemented;
there is support for all of the commonly used methods of each
class.

%package plugin
Summary: Web-client flash movie player plugin
Requires: %{name} = %{version}-%{release}
Requires: mozilla-filesystem
Requires: webclient
Group: Applications/Internet
Provides: gnash-firefox-plugin
Obsoletes: gnash-firefox-plugin

%description plugin
The gnash flash movie player plugin for firefox or mozilla.

%package klash
Summary: Konqueror flash movie player plugin
Requires: %{name} = %{version}-%{release}
Group: Applications/Multimedia

%description klash
The gnash flash movie player plugin for Konqueror.

%package cygnal
Summary: Streaming media server
Requires: %{name} = %{version}-%{release}
Group: Applications/Multimedia

%description cygnal
Cygnal is a streaming media server that's Flash aware.

%prep
%setup -q
# Hack as autoreconf breaks build 
sed -i -e 's!kapp.h!kapplication.h!g' configure
sed -i -e 's!libkdeui.la!libkdeui.so!g' configure
# Currently kde4-gnash (from kde4 branch) links against various KDE libraries,
# but only needs Qt -- remove the superfluous linkage
sed -i -e 's!\$(KDE4_LIBS)!!g' gui/Makefile.in

%build
export PATH=%{_qt4_prefix}/bin:$PATH
# --enable-ghelp is disabled
%configure --disable-static --with-npapi-plugindir=%{_libdir}/mozilla/plugins \
  --enable-docbook --enable-ghelp --enable-media=GST \
  --disable-dependency-tracking --disable-rpath \
  --enable-cygnal \
  --enable-gui=gtk,kde4,sdl,fb \
  --with-kde4-prefix=%{_kde4_prefix} \
  --with-kde4-lib=%{_kde4_libdir} \
  --with-kde4-incl=%{_kde4_includedir} 
%make

%install
rm -rf %{buildroot}

make install install-plugins \
 DESTDIR=%{buildroot} INSTALL='install -p' \
 KDE4_PLUGINDIR=%{_kde4_libdir}/kde4 \
 KDE4_SERVICESDIR=%{_kde4_datadir}/kde4/services \
 KDE4_CONFIGDIR=%{_kde4_configdir} \
 KDE4_APPSDATADIR=%{_kde4_appsdir}/klash
rm -f %{buildroot}%{_libdir}/gnash/*.la
rm -f \
 %{buildroot}%{_libdir}/gnash/libgnashamf.so \
 %{buildroot}%{_libdir}/gnash/libgnashbase.so \
 %{buildroot}%{_libdir}/gnash/libgnashmedia.so \
 %{buildroot}%{_libdir}/gnash/libgnashnet.so \
 %{buildroot}%{_libdir}/gnash/libgnashcore.so \
 %{buildroot}%{_libdir}/gnash/libmozsdk.so*

# clean up
rm -f %{buildroot}%{_infodir}/dir

rm -rf __dist_docs
mkdir __dist_docs
mv %{buildroot}%{_datadir}/doc/gnash/* __dist_docs/
rmdir %{buildroot}%{_datadir}/doc/gnash

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
#/sbin/install-info %{_infodir}/gnash_ref.info %{_infodir}/dir || :
#/sbin/install-info %{_infodir}/gnash_user.info %{_infodir}/dir || :

%preun
#if [ "$1" = 0 ]; then
#    /sbin/install-info --delete %{_infodir}/gnash_ref.info %{_infodir}/dir || :
#    /sbin/install-info --delete %{_infodir}/gnash_user.info %{_infodir}/dir || :
#fi

%postun
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS
%doc __dist_docs/*
%config(noreplace) %{_sysconfdir}/gnashpluginrc
%config(noreplace) %{_sysconfdir}/gnashrc
%{_bindir}/dumpshm
%{_bindir}/fb-gnash
%{_bindir}/flvdumper
%{_bindir}/gtk-gnash
%{_bindir}/sdl-gnash
%{_bindir}/soldumper
%{_bindir}/gnash
%{_bindir}/gprocessor
%{_libdir}/gnash/libgnash*
%{_mandir}/man1/gnash.1*
%{_mandir}/man1/dumpshm.1*
%{_mandir}/man1/gprocessor.1*
%{_mandir}/man1/soldumper.1*
%{_mandir}/man1/flvdumper.1*
#%%{_infodir}/gnash*
%{_datadir}/gnash/

%files plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libgnashplugin.so

%files klash
%defattr(-,root,root,-)
%{_kde4_bindir}/kde4-gnash
%{_kde4_libdir}/kde4/libklashpart.so
%{_kde4_libdir}/kde4/libklashpart.la
%{_kde4_appsdir}/klash/
%{_kde4_datadir}/kde4/services/klash_part.desktop

%files cygnal
%defattr(-,root,root,-)
%{_bindir}/cygnal
%{_mandir}/man1/cygnal.1*

%changelog
* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.5-3m)
- rebuild against xulrunner-1.9.1

* Thu Jun 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-2m)
- fix build on x86_64
- BR: cmake for macros.kde4

* Thu Jun 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.5-1m)
- update to 0.8.5

* Sun May 17 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.3-9m)
- rebuilt for boost-1.39.0

* Mon May 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-8m)
- rebuild against libtool-ltdl-2.2.6

* Thu Feb  5 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.3-7m)
- add BuildRequires:

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.3-6m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.3-5m)
- rebuild against boost-1.37.0
- License: GPLv3+

* Sat Jun 28 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.3-4m)
- fix %%preun

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-3m)
- change Requires from %%{_libdir}/mozilla/plugins to mozilla-filesystem

* Thu Jun 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-2m)
- fix build on KDE4

* Thu Jun 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.3-1m)
- update 0.8.3

* Mon Jun 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-0.20071226.8m)
- fix typo

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-0.20071226.7m)
- firefox-plugin depends on mozilla-filesysytem

* Tue May 27 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.2-0.20071226.6m)
- delete %%{_infodir}/dir

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-0.20071226.5m)
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-0.20071226.4m)
- rebuild against gcc43

* Mon Feb 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-0.20071226-3m)
- we must specify QTDIR...

* Sun Feb 10 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-0.20071226-2m)
- rebuild against firefox-2.0.0.12

* Thu Jan  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-0.20071226-1m)
- testing cvs 20071226 version
- now we can play youtube on x86_64

* Sat Sep  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Thu Aug 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.8.0-2m)
- rebuild against boost-1.34.1-1m.mo4
- add BuildRequires: boost-devel

* Sun Jun 17 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-20070211-3m)
- BuildRequires: freetype2-devel -> freetype-devel

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-20070211-2m)
- delete libtool library

* Sun Feb 11 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.2-20070211-1m)
- update to 0.7.2 cvs-20070211

* Fri Jan 26 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.2-20070125-1m)
- update to 0.7.2 cvs-20070125
- install to mozilla/plugins

* Fri Dec 29 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.2-20061229-1m)
- update to 0.7.2 cvs-20061229

* Thu Sep 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.1-20060921-1m)
- update to 0.7.1 cvs-20060921

* Fri Jun 23 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7.1-20060623-1m)
- update to 0.7.1 cvs-20060623

* Tue Feb  7 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.7-20060207-1m)
- initial import

